Author Topic: Ubuntu PPAs are getting old (all Launchpad builds since April failed)  (Read 3390 times)

alexw

  • Guest
Hi,

I'm pretty sure you must be aware but the Ubuntu PPAs (both trunk and stable) are getting old ...

Launchpad has not had a successful build since april or so. The "stable" PPA is at v3.1.8.2 and the "trunk" PPA is from april. Would it be possible to push some more recent builds for the Ubuntu crowd on Launchpad? The actual stable is newer than 3.1.8.

The above are for Trusty PPAs. I can see there is a new build attempt every day on Launchpad but they are all failures. Code on Launchpad has not been updated perhaps.

Cheers

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2406
  • Karma: +150/-2
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #1 on: September 15, 2014, 06:06:48 pm »
I am going to setup a new ppa for 3.2.0, because I don't control that ppa. Chris is the one who controls it but he's too busy to fix it.
In the meantime you can alternatively use this ppa: https://launchpad.net/~surfernsk/+archive/ubuntu/internet-software

alexw

  • Guest
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #2 on: September 15, 2014, 06:17:23 pm »
Thanks. I had found that PPA as well but it doesn't offer any 3.2.x builds and looks just as old (april). Looking forward to your PPA.

geminian68

  • Guest
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #3 on: November 03, 2014, 12:44:48 am »
I'm sure qBittorrent would become a more popular client if it was more available to people, and not only to those who are able to compile, which requires downloading (nearly 1GB) to make less than 4MB qBittorrent & libtorrent-rasterbar builds, instead of just installing other clients pre-built .debs "Deluge 1.3.10." "Tixati 1.99" just to mention a couple.

It has been over six months since there has been any successful official ppa build, the hydr0g3n builds are still failing "3.1.x-0 11 days ago Failed to build" "3.2.x-0 7 hours ago Failed to build".

Is there ever going to be a working official ppa, that is updated as regularly as Mac and Windows builds?

alexw

  • Guest
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #4 on: November 03, 2014, 07:32:52 am »
Indeed there is still no ppa (I was hopeful when @sledgehammer above said he would setup one, but that was 1.5+ months ago).

I'm considering switching to Transmission. I was using qB's search but that became flaky and many results have nothing to do with the keywords.

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2406
  • Karma: +150/-2
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #5 on: November 03, 2014, 11:23:02 am »
Why don't you use the PPA I linked above?
Here it is again: https://launchpad.net/~surfernsk/+archive/ubuntu/internet-software

geminian68

  • Guest
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #6 on: November 03, 2014, 10:57:00 pm »
Because it is neither official (links to official none working hydr0n3n ppa) or updated regularly 3.1.11 was released 12 days ago and is still not available to Linux users unless they compile it themselves, v3.2.x-0 which is not even available at all.

I have been using Tixati since v1.96, on all private trackers except for one where it isn't whitelisted, there I used qBittorrent, guess it's time to make a permanent switch, too bad qBittorrent was a great client for 4 Years I've been using it, but has become too much work, when other clients are available pre-built, without the need for compilation.
« Last Edit: November 03, 2014, 11:03:35 pm by geminian68 »

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2406
  • Karma: +150/-2
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #7 on: November 03, 2014, 11:26:12 pm »
The ppa I linked is good. And he'll probably upload v3.1.11 the next days. And even if you're stuck with v3.1.10 you don't lose much from v3.1.11. Unless you want the latest version "just because".

alexw

  • Guest
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #8 on: November 13, 2014, 06:13:17 pm »
The ppa I linked is good. And he'll probably upload v3.1.11 the next days. And even if you're stuck with v3.1.10 you don't lose much from v3.1.11. Unless you want the latest version "just because".
Sorry but that one is not updated frequently either. Still at 3.1.10 (last compiled 1.5 months ago).

I understand it's your own time, all free and open source and I can go elsewhere if I don't like it, but it would be much nicer if you could fix at least the 3.1.x PPA in Launchpad -- it always compiled fine on my machine, so it should be a very easy and quick fix and then qBT would be more popular.

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2406
  • Karma: +150/-2
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #9 on: November 13, 2014, 08:48:54 pm »
I don't control that PPA. The other member of the team(Chris Dumez the original qbt author) controls that and he's unresponsive for a few months now.
I intend to create a new PPA that I control, I just don't have time now.

Roseysdaddy

  • Member
  • **
  • Posts: 22
  • Karma: +0/-0
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #10 on: November 22, 2014, 02:44:01 pm »
Ok, so i added this repository, updated and upgraded.  It upgraded librasterbar (i believe) but about still says "qBittorrent v3.1.9.2 (Web UI)"  what am i doing wrong?

ciaobaby

  • Forum addict
  • ****
  • Posts: 2771
  • Karma: +98/-25
  • No quarter asked... No quarter given.
    • View Profile
    • WMTeu
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #11 on: November 23, 2014, 12:11:48 am »
The Help -> About -> Libraries dialogue shows the libraries that it was compiled with.
Smarter than the av-er-age bear, Boo Boo.

http://qbforums.shiki.hu/index.php/topic,3084.0.html

sledgehammer_999

  • qBittorrent maintainer
  • Administrator
  • Forum addict
  • *****
  • Posts: 2406
  • Karma: +150/-2
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #12 on: November 27, 2014, 05:53:15 pm »
I just setup new PPA and they have built fine. You need to add them and possibly remove the old ones.
Stable: https://launchpad.net/~qbittorrent-team/+archive/ubuntu/qbittorrent-stable
Unstable: https://launchpad.net/~qbittorrent-team/+archive/ubuntu/qbittorrent-unstable

corrigo

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Ubuntu PPAs are getting old (all Launchpad builds since April failed)
« Reply #13 on: November 30, 2014, 05:42:04 pm »
sledgehammer_999, thank you so much to maintain qBittorrent with a new PPA